/**
 * cccid_mod_app.h
 * Copyright (C) 2012, 2013 Jan Viktorin
 */

#ifndef CCCID_MOD_APP_H
#define CCCID_MOD_APP_H

#include "cccid_mod.h"

/**
 * Uninstalls all modules.
 */
void cccid_mod_uninstall_all(void);

/**
 * Installs all available modules.
 */
void cccid_mod_install_all(struct cccid_conf *conf);

/**
 * Finds the matching module if any.
 * The matching starts from the prev->__next if prev is not NULL.
 */
struct cccid_mod *cccid_mod_find_matching(struct cccid_mod *prev,
		const union ccci_msg *msg);

#endif

