ifdef MOD_LOG
	MOD_LOG_REQUEST  := 1
	MOD_LOG_RESPONSE := 1
endif

ifdef MOD_LOG_RESPONSE
	MODS += mod_log_response.o
	MODS_DEPS += log_ccci.o
endif

ifdef MOD_HWIO_FILTER
	MODS += mod_hwio_filter.o
	MODS_DEPS += rid_mgmt.o hwio_filter.o

	ifndef MOD_HWIO_FILTER_DIST
		HWIO_PATH ?= ../hwio
		HWIO_MOD  ?= debug
		DTREE_PATH ?= ../dtree

		CFLAGS  += -I$(HWIO_PATH)
		LDFLAGS += -L$(HWIO_PATH)/hwio-$(HWIO_MOD) -lhwio_$(HWIO_MOD) $(LDFLAGS_$(HWIO_MOD))
		LDFLAGS_debug += `xml2-config --libs`
		LDFLAGS_linux += $(DTREE_PATH)/libdtree.a
		LDFLAGS_cv2 += -lcombo -lcommlbr
	else
		LDFLAGS += -lhwio -ldtree
	endif
endif

ifdef MOD_LOG_REQUEST
	MODS += mod_log_request.o
	MODS_DEPS += log_ccci.o
endif

test_rid_mgmt: $(MOD_DIR)/test_rid_mgmt.o
$(MOD_DIR)/test_rid_mgmt.o: $(MOD_DIR)/rid_mgmt.c
	$(CC) $(CFLAGS) -DRID_MGMT_TEST -c -o $@ $<
