/**
 * mod_log_response.c
 * Copyright (C) 2012, 2013 Jan Viktorin
 */

#include "../ccci_msg.h"
#include "../cccid_mod.h"
#include "log_ccci.h"

static
int log_match(const union ccci_msg *req)
{
	return 0;
}

static
int log_service(const union ccci_msg *req, union ccci_msg *res)
{
	log_ccci_response(res);
	return 1;
}

static
struct cccid_mod mod_log = {
	.name    = "log_response",
	.version = 0x0001,
	.match   = log_match,
	.service = log_service
};

static
void log_init(struct cccid_conf *conf)
{
	if(cccid_mod_install(&mod_log)) {
		syslog(LOG_ALERT, "Failed to install mod_%s 0x%" PRIx16,
				mod_log.name, mod_log.version);
	}
}

cccid_mod_init(log_response, log_init)
